
- <code>[__can-jquery__ jQuery](#can-jquery-jquery)</code>
  - <code>[__can-jquery/legacy__ jQuery](#can-jquerylegacy-jquery)</code>

## API

## can-jquery `{jQuery}`

Extensions to the event system so that can events and jQuery events are cross-bound. 
Importing can-jquery will return the [jQuery object](http://api.jquery.com/jquery/) and wire up the event system.

```js
var $ = require("can-jquery");

var div = $("<div>");

div.on("inserted", function(){
	// it inserted!
});

$("body").append(div);
```




### <code>jQuery</code>

### can-jquery/legacy `{jQuery}`

Enables legacy integrations between CanJS and jQuery. 
Importing can/jquery/legacy will return the [jQuery object](http://api.jquery.com/jquery/). It will also import [can-jquery](#can-jquery-jquery) so that the event system hooks are set up.

Additionally it will force element callbacks (such as those in [can-control]) to be jQuery wrapped.

```js
var $ = require("can-jquery/legacy");
```




#### <code>jQuery</code>

